MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024623Open CASCADE[OCCT] OCCT:Visualizationpublic2014-02-13 11:052019-04-23 22:05
Reporterkgv 
Assigned Tobugmaster 
PriorityhighSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0024623: Visualization - improve selection mechanism
DescriptionCurrent implementation uses expensive software projection of sensitive entities onto current screen plane (which should be updated on each rotation).

It is suggested to implement selection working in 3D using new efficient algorithms developed in BVH package.
Steps To Reproducetest/bugs/vis/bug24623_1
test/bugs/vis/bug24623_2
test/bugs/vis/bug24623_3
test/bugs/vis/bug24623_4
TagsNo tags attached.
Test case numberbugs vis(004) bug24623_1, bug24623_2, bug24623_3, bug24623_4
Attached Files

- Relationships
related to 0025624closedbugmaster Open CASCADE Visualization - selection is incorrect in perspective mode in a specific case 
parent of 0025234closedbugmaster Open CASCADE Implementing LBVH builder 
parent of 0026031closedbugmaster Open CASCADE Visualization - fix out-of-range within Select3D_InteriorSensitivePointSet::GetPoints() 
parent of 0026069closedbugmaster Open CASCADE Coding Rules - eliminate new warnings about redundant const qualifier in SelectMgr 
parent of 0026121closedbugmaster Open CASCADE Visualization - revise implementation of point sets used in Select3D_SensitiveFace 
parent of 0029791closedabv Community Visualization - Wrong result of SelectMgr_RectangularFrustum::IsClipped 
parent of 0030480verifiedbugmaster Open CASCADE Visualization - Clear of Select3D_SensitiveGroup does not update internal container 
parent of 0030672verifiedbugmaster Open CASCADE Visualization - AIS_InteractiveContext::SetLocation() sets invalid selection BVH flag to removed object 
has duplicate 0024833closedbugmaster Open CASCADE Visualization - efficient selection mechanism 
related to 0021358closedbugmaster Open CASCADE Visualization - transform persistence and interactive selection 
related to 0023422closedbugmaster Community Selection problems when using SetLocation. 
related to 0023527closedapv Open CASCADE Different behavior in highlighting 
related to 0023646closedbugmaster Open CASCADE Using of multiple modes of command vselmode 
related to 0023649closedbugmaster Open CASCADE Visualization, AIS_LocalContext - make highlighting of already selected objects consistent with and without Shift modifier 
related to 0021986closedsan Community [OCC Forum] MoveTo() hilighting object in wrong location 
related to 0025933closedbugmaster Open CASCADE Visualization - Forward AIS_InteractiveObject::Redisplay() execution to AIS_InteractiveContext 
related to 0026015closedbugmaster Open CASCADE Visualization - revise implementation of entity owners for connected interactives 
related to 0025686closedbugmaster Community AIS_InteractiveContext::MoveTo crash 
related to 0026124closedbugmaster Open CASCADE Visualization - eliminate code duplication in construction of Select3D_SensitiveEntities 
related to 0026139closedabv Community AIS_InteractiveContext::Display performance regression 
related to 0026231closedabv Open CASCADE Visualization - Update description of selection algorithm in the user's guide 
related to 0026284closedbugmaster Open CASCADE Visualization - eliminate recursion in SelectMgr_SelectionManager 
related to 0009455closedbugmaster Open CASCADE Bad performance of selection of the mesh 
related to 0026973closedbugmaster Community Visualization - selection of entities hidden by clipping planes is broken 
related to 0027008closedapn Community Visualization - polygonal selection algorithm does not work with MeshVS_Mesh 
related to 0027957closedapn Open CASCADE Visualization, AIS_InteractiveContext - protect from displaying the same AIS_InteractiveObject within multiple contexts 
related to 0028644closedbugmaster Open CASCADE Visualization, AIS_MultipleConnectedInteractive - remove unused private class SelectMgr_AssemblyEntityOwner 

-  Notes
(0029597)
vpa (developer)
2014-05-29 11:56

Dear dbp,

please review the current state of the issue, changes are in branch CR24623.
(0032003)
git (administrator)
2014-09-23 14:36

Branch CR24623 has been updated by vpa.

SHA-1: 2bc23e11d061c81dcffe69c8db6338fb7fe3f3d6


Detailed log of new commits:

Author: vpa
Date: Tue Sep 23 14:36:02 2014 +0400

    Corrections

Author: vpa
Date: Tue Sep 16 17:32:29 2014 +0400

    Compilation errors were fixed

Author: dbp
Date: Mon Sep 15 15:29:09 2014 +0400

    Add compile-time checking.

Author: dbp
Date: Mon Sep 15 15:19:33 2014 +0400

    0025234: Implementing LBVH builder
    Performs fast BVH construction using LBVH building approach. Algorithm uses spatial Morton codes to reduce the BVH construction problem to a sorting problem (radix sort -- O(N) complexity). This Linear Bounding Volume Hierarchy (LBVH) builder produces BVH trees of lower quality compared to SAH-based BVH builders but it is over an order of magnitude faster (up to 3M triangles per second).

Author: vpa
Date: Mon Sep 15 14:52:37 2014 +0400

    Compilation errors were fixed

Author: dbp
Date: Wed Sep 10 12:37:14 2014 +0400

    0025227: Visualization - optimize BVH binned builder
    BVH binned builder is used for different rendering aspects, such as view frustum culling, ray-tracing, and (in future) for selection. It is desirable to improve builder performance. This simple patch decreases BVH building time for 30-35%.

Author: vpa
Date: Thu Sep 11 12:37:54 2014 +0400

    Parallel BVH build for many sensitive entities of one object was added;
    Option to use the widest split axis was added to BVH_BinnedBuilder and BVH_SpatialMedianBuilder

Author: vpa
Date: Tue Aug 26 16:22:10 2014 +0400

    Added shared StdSelect_ViewerSelector3d for all contexts, code clean-up

Author: vpa
Date: Fri Aug 22 18:18:36 2014 +0400

    BVH of 2nd and 3rd levels were moved to SelectMgr_ViewerSelector

Author: vpa
Date: Thu Aug 21 19:37:47 2014 +0400

    Fixed compilation errors

Author: vpa
Date: Fri Aug 15 17:18:16 2014 +0400

    Draft implementation of 2nd and 3rd levels of BVH trees for selection

(0032110)
git (administrator)
2014-09-25 10:26

Branch CR24623 has been updated by duv.

SHA-1: 28a013c9840e313300ecbc3286cbc5f3932e6b59


Detailed log of new commits:

Author: duv
Date: Thu Sep 25 10:25:01 2014 +0400

    Traverse and Overlap optimizations.

(0032114)
git (administrator)
2014-09-25 11:36

Branch CR24623 has been updated by vpa.

SHA-1: 41c4a0ef98a1a7e66e9ecda2ecec51abb0d6c96b


Detailed log of new commits:

Author: vpa
Date: Thu Sep 25 11:36:19 2014 +0400

    Added test cases

(0032166)
git (administrator)
2014-09-25 17:34

Branch CR24623 has been updated by vpa.

SHA-1: 29933f832ff92b30c529cf0a03fec1ff8b9e9d08


Detailed log of new commits:

Author: vpa
Date: Thu Sep 25 17:31:20 2014 +0400

    0025234: Implementing LBVH builder
    
    Performs fast BVH construction using LBVH building approach. Algorithm uses spatial Morton codes to reduce the BVH construction problem to a sorting problem (radix sort -- O(N) complexity). This Linear Bounding Volume Hierarchy (LBVH) builder produces BVH trees of lower quality compared to SAH-based BVH builders but it is over an order of magnitude faster (up to 4M triangles per second).

Author: vpa
Date: Thu Sep 25 16:59:48 2014 +0400

    Change namespace name

Author: dbp
Date: Wed Sep 24 12:03:22 2014 +0400

    0025227: Visualization - optimize BVH binned builder
    BVH binned builder is used for different rendering aspects, such as view frustum culling, ray-tracing, and (in future) for selection. It is desirable to improve builder performance. This simple patch decreases BVH building time for 30-35%.

Author: vpa
Date: Thu Sep 25 15:23:15 2014 +0400

    Moved inner method for separation detection to protected section

(0032199)
git (administrator)
2014-09-26 10:23

Branch CR24623 has been updated by duv.

SHA-1: 83b81764c095612cb80b7190447a17cd52e035bc


Detailed log of new commits:

Author: duv
Date: Fri Sep 26 10:22:59 2014 +0400

    Boxes for triangulation.

(0032470)
git (administrator)
2014-09-30 17:48

Branch CR24623 has been updated by vpa.

SHA-1: e0ec2a863857584976f0f68c274a3e3490597ae1


Detailed log of new commits:

Author: vpa
Date: Tue Sep 30 17:47:46 2014 +0400

    BVH builds on demand.

(0032593)
git (administrator)
2014-10-02 16:16

Branch CR24623 has been updated by duv.

SHA-1: 210d6729a50676294b4015b343107c805fd1e917


Detailed log of new commits:

Author: duv
Date: Thu Oct 2 16:16:20 2014 +0400

    Small fix.

(0032773)
git (administrator)
2014-10-07 15:14

Branch CR24623 has been updated by vpa.

SHA-1: 71f1ec9b679696771661ba3f42e3505e4217b295


Detailed log of new commits:

Author: vpa
Date: Tue Oct 7 15:08:07 2014 +0400

    Refactoring of point selection intersection class

(0032826)
git (administrator)
2014-10-08 16:45

Branch CR24623 has been updated by vpa.

SHA-1: 888b2d8042eb580ca3552259291a1c4b687ce514


Detailed log of new commits:

Author: vpa
Date: Wed Oct 8 16:45:12 2014 +0400

    Refactoring of SelectMgr_SelectingVolume descendants

Author: vpa
Date: Tue Oct 7 20:33:23 2014 +0400

    Refactoring of SelectMgr_SelectingVolume descendants

(0032995)
git (administrator)
2014-10-10 20:18

Branch CR24623 has been updated by vpa.

SHA-1: 9367b6bd372b43545cc5df6638c3c97bff397def


Detailed log of new commits:

Author: vpa
Date: Fri Oct 10 20:18:07 2014 +0400

    Remove unnecessary cached bounding boxes

(0032996)
git (administrator)
2014-10-10 20:51

Branch CR24623 has been updated by vpa.

SHA-1: 5567c41be485a18d9e87fdd89a5a9f973bd29a2a


Detailed log of new commits:

Author: vpa
Date: Fri Oct 10 20:51:25 2014 +0400

    Fix for undefined bounding boxes

(0033826)
git (administrator)
2014-10-29 14:46

Branch CR24623 has been updated by vpa.

SHA-1: 281bbf906959527623296e6ea1c1d9a2176e3ac7


Detailed log of new commits:

Author: vpa
Date: Wed Oct 29 14:46:14 2014 +0300

    Corrections in time calculation

(0034117)
git (administrator)
2014-11-06 17:21

Branch CR24623 has been updated forcibly by vpa.

SHA-1: fef33ec7cd3ae3d404d5df050ffbeb61c0d35ef0
(0034169)
git (administrator)
2014-11-07 18:25

Branch CR24623 has been updated by vpa.

SHA-1: faa2514d985eb1ec1aa689aed5bf3c59297b92b0


Detailed log of new commits:

Author: vpa
Date: Fri Nov 7 18:05:52 2014 +0300

    Applying transformations to sensitive entities, works for Select3D_SensitiveTriangulation

(0034175)
git (administrator)
2014-11-10 01:36

Branch CR24623 has been updated by vpa.

SHA-1: ace58774b32f60040233b1356bfa971aa111469e


Detailed log of new commits:

Author: vpa
Date: Mon Nov 10 01:35:21 2014 +0300

    Applying transformations to sensitive entities, works for Select3D_SensitivePoly descendants.
    Fixed bug in calculation of Select3D_SensitiveTriangulations with location.

(0034203)
git (administrator)
2014-11-10 20:54

Branch CR24623 has been updated by vpa.

SHA-1: e8aa0452c7d02beadb16e39fbe350dfeeda6c5e3


Detailed log of new commits:

Author: vpa
Date: Mon Nov 10 20:48:21 2014 +0300

    Transformation works properly for all sensitive entities

(0034436)
git (administrator)
2014-11-14 20:50

Branch CR24623 has been updated by vpa.

SHA-1: 8b1ba4afa75e4559ec57c58dcc440edb27f5ca0b


Detailed log of new commits:

Author: vpa
Date: Fri Nov 14 20:50:54 2014 +0300

    Draft (buggy) implementation of clipping planes support

(0034497)
git (administrator)
2014-11-18 19:29

Branch CR24623 has been updated by vpa.

SHA-1: 59cb58fd77e946ee0c9538677a5844e3b03a6692


Detailed log of new commits:

Author: vpa
Date: Tue Nov 18 14:51:24 2014 +0300

    Small corrections

(0034614)
git (administrator)
2014-11-21 19:37

Branch CR24623 has been updated by vpa.

SHA-1: 263b8437234480705df40f36229512bda9cfd5dc


Detailed log of new commits:

Author: vpa
Date: Fri Nov 21 19:37:02 2014 +0300

    Polyline and box selection support.
    Some changes in VTK support

(0034625)
git (administrator)
2014-11-24 02:34

Branch CR24623 has been updated by vpa.

SHA-1: 1338a9a0326159212bfef6bbcd8cf8455f9aaa1a


Detailed log of new commits:

Author: vpa
Date: Mon Nov 24 02:33:46 2014 +0300

    VTK support buggy implementation

(0034634)
git (administrator)
2014-11-24 14:38

Branch CR24623 has been updated by vpa.

SHA-1: dee544c22b30f6e440da05e91da004fd9d0a5513


Detailed log of new commits:

Author: vpa
Date: Mon Nov 24 14:40:15 2014 +0300

    VTK support

(0034684)
git (administrator)
2014-11-25 21:19

Branch CR24623 has been updated by vpa.

SHA-1: 9d051f5bd8f59d709f277f0a3f0fe3c1418cc013


Detailed log of new commits:

Author: vpa
Date: Tue Nov 25 21:20:51 2014 +0300

    MeshVS support; corrected RecomputeSelection

(0034735)
git (administrator)
2014-11-27 13:18

Branch CR24623 has been updated by vpa.

SHA-1: 835cc7b3359e18bd2a890248a34bcb3eb93fa2c0


Detailed log of new commits:

Author: vpa
Date: Thu Nov 27 13:20:12 2014 +0300

    Added sensitivity;
    removed Select3D_Projector and unnecessary sensitivity methods;
    partially removed areas

Author: vpa
Date: Wed Nov 26 10:24:04 2014 +0300

    Small fix

(0034778)
git (administrator)
2014-11-27 21:29

Branch CR24623 has been updated by vpa.

SHA-1: 2c01c40d8cf726579880e2b59236a39a8692394e


Detailed log of new commits:

Author: vpa
Date: Thu Nov 27 21:31:27 2014 +0300

    Code cleanup

Author: vpa
Date: Thu Nov 27 13:30:13 2014 +0300

    Sensitivity for all objects

(0034831)
git (administrator)
2014-11-28 14:38

Branch CR24623 has been updated by vpa.

SHA-1: 507a59a00819de32bf69dc20de2ddeca65e7e476


Detailed log of new commits:

Author: vpa
Date: Fri Nov 28 14:40:19 2014 +0300

    Remove unused header files

(0034833)
git (administrator)
2014-11-28 14:58

Branch CR24623 has been updated forcibly by vpa.

SHA-1: 280db44e84c07574767a2db4e53df1e47345d972
(0034837)
git (administrator)
2014-11-28 15:50

Branch CR24623 has been updated by vpa.

SHA-1: 41a3f4802ffadf7b17263367c197e6892996c3c6


Detailed log of new commits:

Author: vpa
Date: Fri Nov 28 15:38:35 2014 +0300

    Compilation errors were fixed

(0034848)
git (administrator)
2014-11-28 16:52

Branch CR24623_1 has been created by vpa.

SHA-1: 957e2a036f239809626e4cdf444b64297b6e1738


Detailed log of new commits:

Author: vpa
Date: Fri Nov 28 16:54:27 2014 +0300

    0024623: Visualization - improve selection mechanism
    
    Redesign of selection mechanism:
    - implemented 3-level BVH tree for selection;
    - selection now calculates in 3D space;
    - intersection tests were moved to SelectMgr_SelectingVolume and its descendants;
    - removed .cdl files in Select3D and .cdl related to selection in MeshVS;
    - SelectMgr_ViewerSelectors are now shared between local and global contexts.
(0034849)
vpa (developer)
2014-11-28 16:58

Dear Kirill,

please review current state of the issue. The changes are in branch CR24623_1.
(0034986)
kgv (developer)
2014-12-03 21:38

-    Selection             from SelectMgr,
+    Selection_Handle      from SelectMgr,

please use "import transient class" instead of these _Handle classes.

-            theToRedrawOnUpdate : Boolean from Standard = Standard_True)
+            theToRedrawOnUpdate : Boolean from Standard = Standard_True;
+            toMute              : Boolean from Standard = Standard_True)

toMute -> theToMute. The new argument is not documented.

+  myMainSel->myToMute = toMute;

assignment looks like a temporary solution.

+  Handle(PrsMgr_Presentation) aPrs3d;
+  if (myDisplayMode == -1/* && myPresentations.Length() == 1*/)
+  {
+    aPrs3d = myPresentations.First().Presentation();
+  }
+  else
+  {
+    aPrs3d = myPresentations (myDisplayMode).Presentation();
+  }

the things do not work like this.

+namespace BVH
+{
...
+};

semicolon is redundant here.

--- a/src/IVtk/IVtk_IView.hxx
+++ b/src/IVtk/IVtk_IView.hxx
@@ -19,6 +19,9 @@
 #include <IVtk_Interface.hxx>
 #include <gp_XY.hxx>
 #include <gp_XYZ.hxx>
+#include <gp_Pnt.hxx>
+#include <Graphic3d_Mat4d.hxx>
+#include <vtkrenderer.h>

what for this vtkrenderer.h here?

+
+  virtual void    GetCamera (Graphic3d_Mat4d& theProj,
...
+  virtual void   GetViewport (Standard_Real& theX,

new undocumented methods.

+  Standard_EXPORT virtual void BoundingBox (Standard_Real& theXMin,
+                                            Standard_Real& theYMin,
+                                            Standard_Real& theZMin,
+                                            Standard_Real& theXMax,
+                                            Standard_Real& theYMax,
+                                            Standard_Real& theZMax);

please use Standard_OVERRIDE for all overridden methods.

+// Created on: 2014-11-28
+// Created by: Varvara POSKONINA
+// Copyright (c) 2003-2014 OPEN CASCADE SAS

the numbers do not match.

+
+class Select3D_BVHPrimitiveContent : public BVH_PrimitiveSet<Standard_Real, 4>
+{

here and in many other places - description is missing.

+  Standard_EXPORT virtual Standard_Integer ElementsNb() = 0;

the name is inconsistent - NbElements() would better match OCCT practices.
Standard_EXPORT is redundant for pure virtual methods.

--- /dev/null
+++ b/src/Select3D/Select3D_InteriorSensitivePointSet.cxx
@@ -0,0 +1,405 @@
+#include <gp_Pnt.hxx>

file header is missing.

+  myIsInitialized = Standard_True;
+}
+
+#include <OSD_Timer.hxx>

please do not include headers in the middle of the file.

+  //! Constructs the sensitive arc object defined by the 
+  //! owner OwnerId, the circle Circle, the parameters u1 
+  //! and u2, the Boolean FilledCircle and the number of points NbOfPoints. 
+  //! u1 and u2 define the first and last points of the arc on Circle. 

please drop all BR in comments for exported classes (new WOK do this automatically, but I suppose it is too late).

+private: 
+
+  //! Computes myCenter3D as the barycenter of points from mypolyg3d 
+  Standard_EXPORT void ComputeCenter3D();
+
+  Standard_Boolean   myFillStatus;

there is no point to export private method. Methods and fields should be split.
(0035385)
git (administrator)
2014-12-12 21:11

Branch CR24623 has been updated by vpa.

SHA-1: bf6cef02e9a293b0f7a4c295f78f48ff2fa3aeb8


Detailed log of new commits:

Author: vpa
Date: Fri Dec 12 21:10:31 2014 +0300

    Bug fixes

Author: vpa
Date: Thu Dec 11 19:17:59 2014 +0300

    Added Standard_OVERRIDE for redefined methods

Author: vpa
Date: Thu Dec 11 16:05:30 2014 +0300

    Removed all Class_Header.hxx defenitions

Author: vpa
Date: Wed Dec 10 20:09:21 2014 +0300

    Copyrights and comments, part 5

Author: vpa
Date: Wed Dec 10 19:07:10 2014 +0300

    Copyrights and comments, part 4

Author: vpa
Date: Tue Dec 9 16:21:03 2014 +0300

    Copyrights and comments, part 3

Author: vpa
Date: Tue Dec 9 12:40:10 2014 +0300

    Copyrights and comments, part 2

Author: vpa
Date: Mon Dec 8 19:31:47 2014 +0300

    Copyrights and comments, part 1

(0035536)
git (administrator)
2014-12-19 19:17

Branch CR24623 has been updated by vpa.

SHA-1: dc294e4e9af1292e4f6b32d434c36cad5704992e


Detailed log of new commits:

Author: vpa
Date: Fri Dec 19 17:46:34 2014 +0300

    Bug fixes

Author: vpa
Date: Mon Dec 15 12:35:28 2014 +0300

    Fixed tests of connected interactives

(0035540)
kgv (developer)
2014-12-22 09:20

Dear Varvara,

please check 0025624 issue (selection in perspective mode) on your current branch.
(0035621)
git (administrator)
2014-12-23 18:55

Branch CR24623 has been updated by vpa.

SHA-1: 70ddd7132cbb966df9c316e65d59127474e5ae6b


Detailed log of new commits:

Author: vpa
Date: Tue Dec 23 18:54:25 2014 +0300

    Selection depth is now calculated according to the direction of picking line;
    Corrected clipping planes support;
    Redesigned tolerances usage

(0035740)
git (administrator)
2014-12-25 20:32

Branch CR24623 has been updated by vpa.

SHA-1: 59fae9e5a05aa4f4d9e75847c81af5a3fc394420


Detailed log of new commits:

Author: vpa
Date: Thu Dec 25 20:32:37 2014 +0300

    Corrections in Select3D package

(0035772)
git (administrator)
2014-12-26 17:18

Branch CR24623 has been updated by vpa.

SHA-1: e1f9e0a1e335f353eb2be01589594668dbf4f900


Detailed log of new commits:

Author: vpa
Date: Fri Dec 26 17:17:55 2014 +0300

    Corrections

(0035777)
git (administrator)
2014-12-26 17:29

Branch CR24623 has been updated forcibly by vpa.

SHA-1: 94f27cb35ef270f336421c994988064ebb30748c
(0035784)
git (administrator)
2014-12-26 18:12

Branch CR24623 has been updated by vpa.

SHA-1: 9eafbe8cb9b85429b256af4b247fd7ef601a7823


Detailed log of new commits:

Author: vpa
Date: Fri Dec 26 18:12:44 2014 +0300

    Corrections

(0035786)
git (administrator)
2014-12-26 18:18

Branch CR24623 has been updated by vpa.

SHA-1: ef42b2e3ce7c7c7a2cb55833380988321fbfbc29


Detailed log of new commits:

Author: vpa
Date: Fri Dec 26 18:18:47 2014 +0300

    Syntax corrections

(0035787)
git (administrator)
2014-12-26 18:22

Branch CR24623_1 has been updated forcibly by vpa.

SHA-1: 94f0a90c1f133375861f4a02d8da3eedfcf73276
(0035791)
vpa (developer)
2014-12-26 18:32

Dear Bugmaster,

please test the patch in branch CR24623_1.
(0035971)
git (administrator)
2015-01-12 17:02

Branch CR24623_1 has been updated forcibly by mkv.

SHA-1: 0990d440a11a506e305a30612020c1046f7fc150
(0035984)
mkv (tester)
2015-01-13 09:07

Dear BugMaster,
Branch CR24623_1 was rebased on current master of occt git-repository.
(0035985)
mkv (tester)
2015-01-13 09:08

Dear BugMaster,
Branch CR24623_1 from occt git-repository (and master from products git-repository) was compiled on Linux platform.

There is compilation error:
http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24623_1/job/mnt-CR24623_1-master_build_occt_linux/1/parsed_console/ [^]
../../../../src/Select3D/Select3D_InteriorSensitivePointSet.cxx:50: error: extra qualification ‘Select3D_Plane::’ on member ‘MakePlane’
(0036034)
git (administrator)
2015-01-14 11:28

Branch CR24623 has been updated forcibly by vpa.

SHA-1: 2c7c9ed9d3abeb049a702fabe40711db76422fae
(0036049)
git (administrator)
2015-01-14 15:32

Branch CR24623_1 has been updated forcibly by vpa.

SHA-1: c5d5483d317770e5593a3997cb3b923e7c798606
(0036050)
vpa (developer)
2015-01-14 15:34

Dear Bugmaster,

compilation error was fixed. Please, test the updated patch in branch CR24623_1.
(0036349)
apn (administrator)
2015-01-21 19:17

Dear vpa,
Could you please rebase branch CR24623_1 on current state of master.
(0036393)
git (administrator)
2015-01-22 14:37

Branch CR24623 has been updated forcibly by vpa.

SHA-1: 5b38f27d86110e53ce6f5c24176f1f43d3806477
(0036394)
git (administrator)
2015-01-22 14:43

Branch CR24623_1 has been updated forcibly by vpa.

SHA-1: 4a77549e349f3a5a0ddffa8f248b89d106e8bd6c
(0036396)
vpa (developer)
2015-01-22 14:51

Dear apn,

the branch CR24623_1 was rebased on current master. Please, test.
(0036467)
apn (administrator)
2015-01-23 18:27

Dear BugMaster,
Branch CR24623_1 from occt git-repository (and master from products git-repository) was compiled on Linux platform.
SHA-1: c5d5483d317770e5593a3997cb3b923e7c798606

../../../../src/SelectMgr/SelectMgr_SelectingFrustum.cxx:67: error: extra qualification ‘SelectMgr_Plane::’ on member ‘SetEquation’
../../../../src/SelectMgr/SelectMgr_SelectingFrustum.cxx:77: error: extra qualification ‘SelectMgr_Plane::’ on member ‘MakePlane’
(0036476)
git (administrator)
2015-01-23 18:38

Branch CR24623 has been updated by vpa.

SHA-1: 35fdaa896f9c0366a66ca23b84af55165a1c1743


Detailed log of new commits:

Author: vpa
Date: Fri Jan 23 18:38:28 2015 +0300

    Merge error with extra-qualifications was fixed

(0036477)
git (administrator)
2015-01-23 18:40

Branch CR24623_1 has been updated forcibly by vpa.

SHA-1: 45f9b7887a1f9b6cce85fac2d3b219db5d2b7a83
(0036488)
git (administrator)
2015-01-23 20:36

Branch CR24623 has been updated forcibly by vpa.

SHA-1: fb1d042f9c4d573479032ed241e5191ba03dea73
(0036656)
git (administrator)
2015-01-26 16:11

Branch CR24623 has been updated by vpa.

SHA-1: 72ac2e19f1f6e0e0a3db8da2d18f6e964c6e620a


Detailed log of new commits:

Author: vpa
Date: Mon Jan 26 15:47:26 2015 +0300

    Fix warnings

(0036670)
git (administrator)
2015-01-26 18:13

Branch CR24623_1 has been updated forcibly by vpa.

SHA-1: be7a1030d6dfd44dd9b3d648c9cd2b3286dbe088
(0036680)
vpa (developer)
2015-01-26 19:31

Dear Bugmaster,

compilation errors were fixed. Please, test the updated branch CR24623_1.
(0036756)
apn (administrator)
2015-01-28 14:34

Dear BugMaster,
Branch CR24623_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested in Release mode.
SHA-1: be7a1030d6dfd44dd9b3d648c9cd2b3286dbe088

Following SAMPLES were not compiled:
occt_mfc_samples_windows
d:\builds\vc10\CR24623-1-master-occt\samples\mfc\standard\Common\..\Common\stdafx.h(87): fatal error C1083: Cannot open include file: 'Select3D_ListOfSensitive.hxx': No such file or directory
d:\builds\vc10\cr24623-1-master-occt\samples\mfc\standard\08_hlr\src\stdafx.h(156): fatal error C1083: Cannot open include file: 'SelectBasics_BasicTool.hxx': No such file or directory
3>d:\builds\vc10\cr24623-1-master-occt\samples\mfc\standard\09_animation\src\stdafx.h(167): fatal error C1083: Cannot open include file: 'SelectBasics_BasicTool.hxx': No such file or directory
http://jenkins-test-03.nnov.opencascade.com/user/mnt/my-views/view/CR24623_1/job/mnt-CR24623_1-master_build_occt_mfc_samples_windows/2/parsed_console/ [^]

products_csharp_samples_windows
occtypes.i(317) : Error: Unable to find 'SelectBasics_ListIteratorOfListOfBox2d.hxx'
occtypes.i(317) : Error: Unable to find 'SelectBasics_ListOfBox2d.hxx'
occtypes.i(317) : Error: Unable to find 'SelectBasics_PickArgs.hxx'
occtypes.i(407) : Error: Unable to find 'Select3D_Projector.hxx'
occtypes.i(317) : Error: Unable to find 'SelectMgr_DataMapOfIntegerSensitive.hxx'
http://jenkins-test-03.nnov.opencascade.com/user/mnt/my-views/view/CR24623_1/job/mnt-CR24623_1-master_build_products_csharp_samples_windows/2/parsed_console/ [^]

products_mfc_samples_windows
d:\builds\vc10\cr24623-1-master-products\samples\mfc\bfit\bfit\src\stdafx.h(123): fatal error C1083: Cannot open include file: 'SelectBasics_BasicTool.hxx': No such file or directory
http://jenkins-test-03.nnov.opencascade.com/user/mnt/my-views/view/CR24623_1/job/mnt-CR24623_1-master_build_products_mfc_samples_windows/2/parsed_console/ [^]

products_qt_samples_windows
d:\builds\vc10\cr24623-1-master-products\samples\qt\omf\inc\StdAfx.h(179): fatal error C1083: Cannot open include file: 'SelectBasics_BasicTool.hxx': No such file or directory
http://jenkins-test-03.nnov.opencascade.com/user/mnt/my-views/view/CR24623_1/job/mnt-CR24623_1-master_build_products_qt_samples_windows/2/parsed_console/ [^]


Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
bugs vis bug12121 bug23012 bug23539_2 bug24391 bug25098 bug25532
http://occt-tests/CR24623-1-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR24623-1-master-occt/Windows-32-VC10/summary.html [^]

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 370777792 / 369595152
Total CPU difference: 52348.34000000004 / 51721.080000000096

Testing on Windows:
Total MEMORY difference: 276107000 / 275481104
Total CPU difference: 36833.171875 / 38122.3125

There are differences in images found by testdiff:
http://occt-tests/CR24623-1-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24623-1-master-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
(0037622)
git (administrator)
2015-02-17 13:55

Branch CR24623 has been updated by vpa.

SHA-1: 8a0a72a421e0f0450bd8262fb27991faefe8e5a7


Detailed log of new commits:

Author: vpa
Date: Mon Feb 16 17:37:59 2015 +0300

    Test case coorection: now the pick point belongs to the object so the test does not
    depend on tolerance chosen

Author: vpa
Date: Mon Feb 16 17:20:47 2015 +0300

    Corrected selection of previously context-only removed objects

Author: vpa
Date: Mon Feb 16 16:19:12 2015 +0300

    BVH update status was added to SelectMgr_Selection entity to provide better support of
    corresponding speedup structures updates;
    Changes in tolerance map logic;
    Small speedup for SelectMgr_EntityOwner::HasSelectable();
    BVH for sensitive curves now builds if points number is bigger than 2.

(0037626)
git (administrator)
2015-02-17 15:04

Branch CR24623 has been updated by vpa.

SHA-1: c657379979dacdacb668f9a3d2638d54a3cbc5bd


Detailed log of new commits:

Author: vpa
Date: Tue Feb 17 15:03:53 2015 +0300

    Compilation error was fixed

(0037628)
git (administrator)
2015-02-17 15:36

Branch CR24623 has been updated forcibly by vpa.

SHA-1: ac579eb8f18213ed7f602014bb6426d8ddbb48ea
(0037650)
git (administrator)
2015-02-18 09:12

Branch CR24623 has been updated by vpa.

SHA-1: 2bc3a46bcdb367ef983540c057a0e4b44bf579a7


Detailed log of new commits:

Author: vpa
Date: Wed Feb 18 09:12:19 2015 +0300

    Added missing debug info

(0037667)
git (administrator)
2015-02-18 15:52

Branch CR24623 has been updated by vpa.

SHA-1: 0e86c4aca55dff536adb5b3957483d88416ccb6c


Detailed log of new commits:

Author: vpa
Date: Wed Feb 18 15:51:22 2015 +0300

    Test case for bug #25098 was corrected according to changes in selection algo

(0037691)
git (administrator)
2015-02-19 14:39

Branch CR24623 has been updated by vpa.

SHA-1: 8296153e4479d4623324ddd72b7a96762fd1d230


Detailed log of new commits:

Author: vpa
Date: Thu Feb 19 14:39:09 2015 +0300

    Memory leak was eliminated

(0037719)
git (administrator)
2015-02-19 18:09

Branch CR24623 has been updated by vpa.

SHA-1: f08158d183b9a1c2d1c632306c3cf48904d0a7f1


Detailed log of new commits:

Author: vpa
Date: Thu Feb 19 18:09:52 2015 +0300

    Corrected criteria of choosing the nearest between close (in terms of depth) sensitives;
    Updated vselprecision command;
    Corrected test case bugs/vis/bug23012 - selection of small objects depends on frustum bases size

Author: vpa
Date: Thu Feb 19 14:41:57 2015 +0300

    Misprint corrected

(0037721)
git (administrator)
2015-02-19 20:32

Branch CR24623 has been updated by vpa.

SHA-1: 51bc34e5f9ce127191f9305172fd6c8e0754097c


Detailed log of new commits:

Author: vpa
Date: Thu Feb 19 20:32:43 2015 +0300

    Corrections in sensitivity for tests

(0037725)
git (administrator)
2015-02-20 10:54

Branch CR24623 has been updated by vpa.

SHA-1: 310d822d66ac1530659949cd48c171078396520c


Detailed log of new commits:

Author: vpa
Date: Fri Feb 20 10:54:50 2015 +0300

    Corrected cld-generation of SelectBasics_SensitiveEntity

(0037737)
git (administrator)
2015-02-20 14:17

Branch CR24623 has been updated by vpa.

SHA-1: d6ae8bd404824f6dad8db163372eeb8c171b8dfc


Detailed log of new commits:

Author: vpa
Date: Fri Feb 20 14:17:17 2015 +0300

    Fixed depth calculation for Select3D_SensitivePoint;
    Fixed tolerance for sort criterion;
    Small correction in v3d/vertex_edge/K1 due to new behavior of selection algo

(0037762)
git (administrator)
2015-02-20 18:14

Branch CR24623 has been updated by vpa.

SHA-1: e9d777d902b180d66d7d44b68f0b69f2b5210fe0


Detailed log of new commits:

Author: vpa
Date: Fri Feb 20 18:14:46 2015 +0300

    Avoid multiple addition of sensitive entities in BVH tree;
    Small corrections in tests

(0037796)
git (administrator)
2015-02-24 10:01

Branch CR24623 has been updated by vpa.

SHA-1: 257e5ea7add890597575837879cb25f5ee4c330b


Detailed log of new commits:

Author: vpa
Date: Tue Feb 24 10:01:20 2015 +0300

    Added missing loop iteration in overlap detection of planar convex polygons;
    Sensitivity corrections

(0037895)
git (administrator)
2015-02-25 20:46

Branch CR24623 has been updated by vpa.

SHA-1: 82e4c4fdd5fab410332bfd16d87946c0d6089a96


Detailed log of new commits:

Author: vpa
Date: Wed Feb 25 20:46:54 2015 +0300

    Corrected depth calculation for sensitive triangulation

(0037934)
git (administrator)
2015-02-26 18:01

Branch CR24623 has been updated by vpa.

SHA-1: 49d82ad8aa5b9cf9c13e8a0423c1743b128c8c87


Detailed log of new commits:

Author: vpa
Date: Thu Feb 26 18:01:23 2015 +0300

    Corrections for v3d/vertex_wire;
    Corrections for v3d/wire

Author: vpa
Date: Thu Feb 26 15:46:42 2015 +0300

    Small corrections in test cases

Author: vpa
Date: Thu Feb 26 15:22:38 2015 +0300

    Corrections for v3d/vertex_solid

Author: vpa
Date: Thu Feb 26 14:42:54 2015 +0300

    Corrections for v3d/edge_face

Author: vpa
Date: Thu Feb 26 12:50:32 2015 +0300

    Corrections for v3d/vertex_face

Author: vpa
Date: Thu Feb 26 11:01:16 2015 +0300

    Corrections for v3d/edge_solid

(0037939)
git (administrator)
2015-02-26 21:49

Branch CR24623 has been updated forcibly by vpa.

SHA-1: a5c870dbef10ac769cf0a3e3d33fb8e3313e8712
(0037940)
git (administrator)
2015-02-27 02:09

Branch CR24623 has been updated by vpa.

SHA-1: 47f5351456e8bdc612a2823c20d0b526c7d1574c


Detailed log of new commits:

Author: vpa
Date: Fri Feb 27 02:09:44 2015 +0300

    Corrected test case for bugs/vis/bug25723

Author: vpa
Date: Fri Feb 27 01:45:18 2015 +0300

    Fix for bugs/vis/bug24569

(0037941)
git (administrator)
2015-02-27 02:21

Branch CR24623_1 has been updated forcibly by vpa.

SHA-1: a331f77fe65e4ed4a1ff2b08216f091d062513ad
(0037942)
vpa (developer)
2015-02-27 10:07
edited on: 2015-02-27 10:18

Dear Bugmaster,

please test only OCCT component of updated patch in branch CR24623_1.

Please note that image differences in the following tests:
v3d edge: A1, A10
    vertex_face: G4-G9, H1-H9, I1-I9, J1-J9, K1-K4
    face: A5-A7, B2-B9, C1-C9, D1-D9, E1-E3
    vertex_wire: F3-F9, G1-G9, H1-H9, I1-I9, J1-J9, K1-K4
    wire: A6, A9, B3, B5-B9, C1-C9, D1-D9, E1-E3
    mesh: A1, A2

are not regressions, they are caused by new behavior of selection algorithm in case of choosing between two or more primitives detected at the same distance.

(0037943)
git (administrator)
2015-02-27 10:58

Branch CR24623 has been updated by vpa.

SHA-1: 08a0610ef4e0aeb1f41e1b4c90f7b65b7ed6a661


Detailed log of new commits:

Author: vpa
Date: Fri Feb 27 10:57:02 2015 +0300

    Compilation error was fixed

(0037945)
git (administrator)
2015-02-27 11:05

Branch CR24623_1 has been updated forcibly by vpa.

SHA-1: 790565a00369857ffd68d20c95edb613ae78dd6b
(0037950)
git (administrator)
2015-02-27 15:59

Branch CR24623 has been updated by vpa.

SHA-1: 162b3a58dd0895b26f2999f6124a56e4f34132bd


Detailed log of new commits:

Author: vpa
Date: Fri Feb 27 15:53:07 2015 +0300

    Fix wrong update calls

(0037951)
git (administrator)
2015-02-27 16:01

Branch CR24623_1 has been updated forcibly by vpa.

SHA-1: 6e6c3c81db0edc0414cfe5b1d636ec91985a6ead
(0037953)
apv (tester)
2015-02-27 16:51

Dear BugMaster,

Branch CR24623_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 790565a00369857ffd68d20c95edb613ae78dd6b

Following smaples are not built because of compilation errors:
OCCT MFC:
http://jenkins-test-02.nnov.opencascade.com/user/mnt/my-views/view/CR24623_1/job/mnt-CR24623_1-master_build_occt_mfc_samples_windows/ [^]
OCCTProducts C#:
http://jenkins-test-02.nnov.opencascade.com/user/mnt/my-views/view/CR24623_1/job/mnt-CR24623_1-master_build_products_csharp_samples_windows/ [^]
OCCTProducts MFC:
http://jenkins-test-02.nnov.opencascade.com/user/mnt/my-views/view/CR24623_1/job/mnt-CR24623_1-master_build_products_mfc_samples_windows/ [^]

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (2 on master)
products component :
   Linux: 11 (11 on master)
   Windows: 4 (4 on master)

Regressions/Differences:
http://occt-tests/CR24623-1-master-occt-64/Windows-64-VC10/summary.html [^]
bugs vis(004) bug24388_2, bug25532
bugs mesh(016) bug25364
caf presentation(003) H1, H2

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 370777792 / 369595152
Total CPU difference: 52348.34000000004 / 51721.080000000096

Testing on Windows:
Total MEMORY difference: 53151018 / 52984632
Total CPU difference: 31612.4375 / 33864.28125
(0037959)
git (administrator)
2015-02-27 18:00

Branch CR24623_1 has been updated forcibly by vpa.

SHA-1: 32b5299089dc7c6a950e0362cf78b6ba29e0daf8
(0037985)
apv (tester)
2015-03-02 11:25
edited on: 2015-03-02 11:28

Dear BugMaster,

Branch CR24623_1 from occt git-repository was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 32b5299089dc7c6a950e0362cf78b6ba29e0daf8

OCC MFC smaple is not built because of compilation errors:
http://jenkins-test-02.nnov.opencascade.com/user/mnt/my-views/view/CR24623_1/job/mnt-CR24623_1-master_build_occt_mfc_samples_windows/1/parsed_console/ [^]

Number of compiler warnings in occt component:
   Linux: 18 (18 on master)
   Windows: 0 (2 on master)

Regressions/Differences:
http://occt-tests/CR24623-1-master-occt-64/Windows-64-VC10/summary.html [^]
bugs vis(004) bug25532

Testing cases:
Not needed

(0037987)
kgv (developer)
2015-03-02 11:35

Dear apv,

> Regressions/Differences:
> bugs vis(004) bug25532
Initial memory:         4 MiB
Displaying (simple):    274 MiB
Clearing   (simple):    5 MiB
Displaying (connected): 135 MiB
Clearing   (connected): 7 MiB

could you please provide the link or quotation with numbers for this test case on current master at the same configuration?
(0037996)
apv (tester)
2015-03-02 14:38

Dear kgv,

Test-case bugs vis(004) bug25532 shows following result on the current master:
Initial memory: 4 MiB
Displaying (simple): 209 MiB
Clearing (simple): 6 MiB
Displaying (connected): 70 MiB
Clearing (connected): 6 MiB

http://occt-tests/IR-2015-02-26-IR-2015-02-26-occt-64/Windows-64-VC10/bugs/vis/bug25532.html [^]
(0038027)
git (administrator)
2015-03-03 10:00

Branch CR24623 has been updated by vpa.

SHA-1: fcbdc49bd5a4ab874a6ea6526562dacb104a0f34


Detailed log of new commits:

Author: vpa
Date: Tue Mar 3 02:04:00 2015 +0300

    Added commands vloadselection and vautoactivatesel

Author: vpa
Date: Tue Mar 3 01:26:55 2015 +0300

    Eliminated memory leak in connected interactives removing

(0038056)
git (administrator)
2015-03-03 18:33

Branch CR24623 has been updated by vpa.

SHA-1: fa0d5455d7d21b91a66d08d7a2514288e240d18d


Detailed log of new commits:

Author: vpa
Date: Tue Mar 3 18:33:53 2015 +0300

    Added test cases and corrected commands

(0038158)
git (administrator)
2015-03-05 17:54

Branch CR24623 has been updated by vpa.

SHA-1: d629c9f8f43d6744d36839e08d5ae52bde99124b


Detailed log of new commits:

Author: vpa
Date: Thu Mar 5 17:54:38 2015 +0300

    Increased number of primitives in one leaf of 3rd level BVH to reduce memory expences

Author: vpa
Date: Thu Mar 5 17:53:28 2015 +0300

    Moved from 4d vectors in BVH to 3d ones to reduce memory expences

(0038161)
git (administrator)
2015-03-05 18:19

Branch CR24623 has been updated by vpa.

SHA-1: ed9b6f1253ccde438d3747c4baf33cdb4581ae0c


Detailed log of new commits:

Author: vpa
Date: Thu Mar 5 18:19:53 2015 +0300

    Compilation errors were fixed

(0038164)
git (administrator)
2015-03-05 19:34

Branch CR24623 has been updated by vpa.

SHA-1: bfcfd630cb60bab2278bf383eaf0f6d82a1ea81d


Detailed log of new commits:

Author: vpa
Date: Thu Mar 5 19:34:34 2015 +0300

    Small changes in Select3D_SensitiveTriangulation for reducing memory expenses

(0038172)
git (administrator)
2015-03-06 11:58

Branch CR24623_1 has been updated forcibly by vpa.

SHA-1: b5b816bdf04722aebd009c1126abae79e5494fd5
(0038174)
vpa (developer)
2015-03-06 12:05

Dear Bugmaster,

please test patch in branch CR24623_1. Please, note that regression testing of occt component only is requested, without samples.
(0038226)
apv (tester)
2015-03-10 15:53

Dear BugMaster,

Branch CR24623_1 from occt git-repository was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: b5b816bdf04722aebd009c1126abae79e5494fd5

Number of compiler warnings in occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
http://occt-tests/CR24623-1-master-occt-64/Windows-64-VC10/summary.html [^]
bugs mesh(016) bug25364

Testing cases:
Not needed
(0038240)
apv (tester)
2015-03-11 10:52

Dear vpa,

It seems, that bugs mesh bug25364 is unstable on Win-64. So, branch CR24623_1 does not have regressions.
(0038292)
git (administrator)
2015-03-12 12:58

Branch CR24623_1 has been updated by vpa.

SHA-1: 1218b6a7fa88ce2f766cc06bc00a121c58c24949


Detailed log of new commits:

Author: vpa
Date: Thu Mar 12 12:58:31 2015 +0300

    Disable auto-load of selection for test bugs/mesh/bug25364

(0038293)
vpa (developer)
2015-03-12 13:02

Dear Alexey,

could you please re-run bugs test package to make sure that memory issue in bugs/mesh/bug25364 is not caused by this patch?
(0038297)
git (administrator)
2015-03-12 15:11

Branch CR24623 has been updated by vpa.

SHA-1: 85381c0737af745d741b5303107f539fb5e71473


Detailed log of new commits:

Author: vpa
Date: Thu Mar 12 12:55:39 2015 +0300

    Removed unnesessary method from SelectMgr_Selection

Author: vpa
Date: Tue Mar 10 14:49:41 2015 +0300

    Fix for MFC standard sample

(0038300)
apv (tester)
2015-03-12 17:08

Dear vpa,

Modified version of bugs mesh bug25364 has been tested. Result is unstable. Success result was achieved in one (from five) attempt.
(0038390)
git (administrator)
2015-03-16 13:04

Branch CR24623 has been updated forcibly by vpa.

SHA-1: 08624b57c21e4664eb32520ceefd441661a73c3d
(0038425)
git (administrator)
2015-03-17 13:43

Branch CR24623 has been updated by vpa.

SHA-1: d08297d5d44f05fe103ac0980ecdfcafc1085c69


Detailed log of new commits:

Author: vpa
Date: Tue Mar 17 13:36:30 2015 +0300

    Improved class hierarchy of frustums to prevent code duplication

(0038431)
git (administrator)
2015-03-17 15:12

Branch CR24623 has been updated by vpa.

SHA-1: 2da0b37d2bf7b81cbc2a2c2f741bca86ce2ab3dd


Detailed log of new commits:

Author: vpa
Date: Tue Mar 17 15:12:47 2015 +0300

    Fixed behavior of polyline selection

(0038437)
git (administrator)
2015-03-17 15:59

Branch CR24623 has been updated forcibly by vpa.

SHA-1: 46700073e75e40b78e046b1cfe33d39199f5383d
(0038441)
git (administrator)
2015-03-17 16:32

Branch CR24623_1 has been updated forcibly by vpa.

SHA-1: 468d01a75c11c7f332088698724401859f9dde8b
(0038769)
git (administrator)
2015-03-20 19:37

Branch CR24623 has been updated by vpa.

SHA-1: aedb92f7894cf3dbd7503e3f74561de8f50038ca


Detailed log of new commits:

Author: vpa
Date: Fri Mar 20 19:29:35 2015 +0300

    Removed transformations from sensitive entities

(0038774)
git (administrator)
2015-03-23 09:24

Branch CR24623 has been updated by vpa.

SHA-1: ff809b05f27645f6b19fa595db43727705fcad0d


Detailed log of new commits:

Author: vpa
Date: Mon Mar 23 01:05:14 2015 +0300

    Fixed compilation errors

(0038801)
git (administrator)
2015-03-23 18:32

Branch CR24623 has been updated by vpa.

SHA-1: ede13605447f89faa3dbcc9695da2845a9c606a6


Detailed log of new commits:

Author: vpa
Date: Mon Mar 23 18:32:42 2015 +0300

    Refactoring of SelectMgr_SelectionManager class

(0038823)
git (administrator)
2015-03-24 10:00

Branch CR24623 has been updated by vpa.

SHA-1: 60eecfcedcafbb463ff97793400cf12e3461102a


Detailed log of new commits:

Author: vpa
Date: Tue Mar 24 01:28:28 2015 +0300

    Small naming correction

Author: vpa
Date: Tue Mar 24 01:05:11 2015 +0300

    Small fixes

(0038834)
git (administrator)
2015-03-24 15:14

Branch CR24623 has been updated by vpa.

SHA-1: a746a511e4e849ecf346254feaae837f35195301


Detailed log of new commits:

Author: vpa
Date: Tue Mar 24 14:04:07 2015 +0300

    Code style corrections

Author: vpa
Date: Tue Mar 24 12:34:18 2015 +0300

    Corrections in tests

(0038853)
git (administrator)
2015-03-24 18:43

Branch CR24623 has been updated forcibly by vpa.

SHA-1: 161e8d3f1da4d47749cd4a7a1a5656667ff5de1d
(0038855)
git (administrator)
2015-03-24 18:51

Branch CR24623_1 has been updated forcibly by vpa.

SHA-1: a9b7f45bdebcb6fce047e9e96c1256d4a864e186
(0038867)
vpa (developer)
2015-03-25 11:00

Dear Kirill,

the patch in branch CR24623_1 of OCCT git repository and branch CR24623 of OCCT products git repository are ready to be reviewed.
(0038897)
git (administrator)
2015-03-25 18:52

Branch CR24623 has been updated by vpa.

SHA-1: 8c91eb7ad452eb202e26f4a99dcf9263cd97e48c


Detailed log of new commits:

Author: vpa
Date: Wed Mar 25 18:52:34 2015 +0300

    Remarks were corrected

(0038898)
git (administrator)
2015-03-25 18:57

Branch CR24623_1 has been updated forcibly by vpa.

SHA-1: ead1b65367f90af6d46cf4b7a20220602d4e8209
(0038899)
kgv (developer)
2015-03-26 08:30

Please test branch CR24623_1.
(0038969)
apv (tester)
2015-03-30 11:14

Dear BugMaster,

Following problem has been occurred during extraction of OCCT Products on branch CR24623_1(CR24623):
Error: the method OMFDS_MeshElement::HashCode(Standard_Integer)=Standard_Integer must have been declared in an ancestor class

More information: http://jenkins-test-02.nnov.opencascade.com/user/mnt/my-views/view/CR24623_1/job/CR24623-1-CR24623_prepare_occt_products_linux/2/parsed_console/ [^]
(0038971)
vpa (developer)
2015-03-30 11:55

Dear Bugmaster,

the branch CR24623 of OCCT products git repository was updated. Please, test the patch.
(0039084)
apv (tester)
2015-04-01 12:15
edited on: 2015-04-01 12:18

Dear BugMaster,

Branch CR24623_1 from occt git-repository (and CR24623 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: ead1b65367f90af6d46cf4b7a20220602d4e8209
SHA-1: b9cbb10d77dc9cd9d5ae65b66a0f4ee08ea0af53

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 4 (4 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs vis(004) bug24623_1 - OK
http://occt-tests/CR24623-1-CR24623-occt-64/Debian60-64/bugs/vis/bug24623_1.html [^]
http://occt-tests/CR24623-1-CR24623-occt-64/Windows-64-VC10/bugs/vis/bug24623_1.html [^]
bugs vis(004) bug24623_2 - OK
http://occt-tests/CR24623-1-CR24623-occt-64/Debian60-64/bugs/vis/bug24623_2.html [^]
http://occt-tests/CR24623-1-CR24623-occt-64/Windows-64-VC10/bugs/vis/bug24623_2.html [^]
bugs vis(004) bug24623_3 - OK
http://occt-tests/CR24623-1-CR24623-occt-64/Debian60-64/bugs/vis/bug24623_3.html [^]
http://occt-tests/CR24623-1-CR24623-occt-64/Windows-64-VC10/bugs/vis/bug24623_3.html [^]
bugs vis(004) bug24623_1 - KO
http://occt-tests/CR24623-1-CR24623-occt-64/Debian60-64/bugs/vis/bug24623_4.html [^]
http://occt-tests/CR24623-1-CR24623-occt-64/Windows-64-VC10/bugs/vis/bug24623_4.html [^]

Testing on Linux:
   occt component:
Total MEMORY difference: 88546081 / 88550952 [-0.01%]
Total CPU difference: 51139.80000000033 / 53185.21000000024 [-3.85%]
   products component:
Total MEMORY difference: 23433790 / 23171641 [+1.13%]
Total CPU difference: 15597.80999999999 / 16208.209999999974 [-3.77%]

Testing on Windows:
   occt component:
Total MEMORY difference: 57013003 / 56839895 [+0.30%]
Total CPU difference: 16251.934578399709 / 15950.384645399736 [+1.89%]
   products component:
Total MEMORY difference: 15307651 / 15114048 [+1.28%]
Total CPU difference: 5943.9189017999715 / 5861.253971899963 [+1.41%]

There are differences in images found by testdiff:
http://occt-tests/CR24623-1-CR24623-occt-64/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24623-1-CR24623-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]

(0039085)
apv (tester)
2015-04-01 12:22

Dear vpa,

1. Please, confirm or reject differences in images which were found by testdiff.
2. Please, rebase CR24623_1 (from occt git-repository) and CR24623 (from products git-repository) to the current masters.

Thank you in advance.
(0039125)
git (administrator)
2015-04-01 20:28

Branch CR24623 has been updated by vpa.

SHA-1: 1c30dfce938e03936d1deafd6d4f25f4394ab768


Detailed log of new commits:

Author: vpa
Date: Wed Apr 1 20:28:28 2015 +0300

    Fixed regressions

(0039152)
git (administrator)
2015-04-02 15:08

Branch CR24623 has been updated by vpa.

SHA-1: e4d64fef19e9623174145502220e8b69c18ae4ec


Detailed log of new commits:

Author: vpa
Date: Thu Apr 2 15:08:45 2015 +0300

    Fixed selection of multiple connected interactives

(0039163)
git (administrator)
2015-04-02 15:45

Branch CR24623 has been updated by vpa.

SHA-1: c90e6754bd035de8fef7722ff7282ceeadabe513


Detailed log of new commits:

Author: vpa
Date: Thu Apr 2 15:45:53 2015 +0300

    Fixed test case bugs/vis/bug24623_4

(0039166)
git (administrator)
2015-04-02 15:54

Branch CR24623 has been updated by vpa.

SHA-1: dc95d85ec52ba1c182d336c63b4f3c3d21d645a2


Detailed log of new commits:

Author: vpa
Date: Thu Apr 2 15:54:01 2015 +0300

    Provide stable result of test case

(0039168)
git (administrator)
2015-04-02 16:21

Branch CR24623 has been updated forcibly by vpa.

SHA-1: 45548d93cee2717da2edda789f023f3dd9739846
(0039170)
git (administrator)
2015-04-02 16:31

Branch CR24623_1 has been updated forcibly by vpa.

SHA-1: f130ea10c1220087e1456f87257ee50aff631745
(0039171)
git (administrator)
2015-04-02 16:48

Branch CR24623_1 has been updated forcibly by vpa.

SHA-1: ca55807a10652729736ff39dce3ebf389a5cf3b4
(0039173)
vpa (developer)
2015-04-02 17:12

Dear Bugmaster,

the OCCT patch in branch CR24623_1 was updated according to test results and re-based on current master, branch CR24623 of OCCT-products git was re-based on current master.

The following test images are correct due to new behavior and images for master are to be replaced:
v3d edge: A10
    vertex_face: G4-G9, H1-H9, I1-I9, J1-J9, K1-K4
    face: A5-A7, B2-B9, C1-C9, D1-D9, E1-E3
    vertex_wire: F3-F9, G1-G9, H1-H9, I1-I9, J1-J9, K1-K4
    wire: A6, A9, B3, B5-B9, C1-C9, D1-D9, E1-E3
    mesh: A1, A2

Test case for bugs/vis/bug25552 was corrected, image difference in bugs/vis/bug24837_1 should be fixed by updated version of the patch.
(0039223)
git (administrator)
2015-04-03 15:25

Branch CR24623_1 has been updated by inv.

SHA-1: 9478499de7c10c7ad58d10c4a622f9ea54bd46fe


Detailed log of new commits:

Author: bugmaster
Date: Fri Apr 3 15:24:42 2015 +0300

    Eliminating regressions in bugs / vis tests

(0039244)
git (administrator)
2015-04-06 11:40

Branch CR24623 has been updated by vpa.

SHA-1: cca253247f4b783c13c1c866da3a4248e34ae5bb


Detailed log of new commits:

Author: vpa
Date: Mon Apr 6 11:40:34 2015 +0300

    Fixed regressions

Author: vpa
Date: Thu Apr 2 18:17:55 2015 +0300

    Changed order for proper compilation

(0039245)
git (administrator)
2015-04-06 11:46

Branch CR24623_1 has been updated by vpa.

SHA-1: 6ebba910cce4f08fe0b5e0605955190076b9aa55


Detailed log of new commits:

Author: vpa
Date: Mon Apr 6 11:45:56 2015 +0300

    Eliminated regression on MacOS

(0039249)
git (administrator)
2015-04-06 12:17

Branch CR24623_1 has been updated forcibly by vpa.

SHA-1: 8721445ac822868c89ae6793e83240ec5bf3dab8
(0039250)
git (administrator)
2015-04-06 12:38

Branch CR24623_2 has been created by vpa.

SHA-1: a03cf1750c27dd404f41ef815396d8f895e0d917


Detailed log of new commits:

Author: vpa
Date: Mon Apr 6 12:31:00 2015 +0300

    0024623: Visualization - improve selection mechanism
    
    Redesign of selection mechanism:
    - implemented 3-level BVH tree for selection;
    - selection now calculates in 3D space;
    - intersection tests were moved to SelectMgr_BaseFrustum descendants;
    - removed .cdl files in Select3D and .cdl related to selection in MeshVS;
    - SelectMgr_ViewerSelectors are now shared between local and global contexts;
    - transformations of sensitive entities are now stored in SelectMgr_SelectableObject only. Sensitive entities are independent from transformations, it is applied to SelectMgr_SelectingVolumeManager instance only;
    - connected and multiple connected interactive objects are now represented by their child objects only for SelectMgr_SelectionManager;
    - if interactive object has child objects, they will be stored as separate objects in SelectMgr_SelectionManager now.
    - test cases bugs/vis/bug24623_1, bug24623_2, bug24623_3, bug24623_4 to test performance and memory issues.
(0039457)
git (administrator)
2015-04-09 09:50

Branch CR24623 has been deleted by kgv.

SHA-1: cca253247f4b783c13c1c866da3a4248e34ae5bb
(0039458)
git (administrator)
2015-04-09 09:50

Branch CR24623_1 has been deleted by kgv.

SHA-1: 8721445ac822868c89ae6793e83240ec5bf3dab8
(0039459)
git (administrator)
2015-04-09 09:50

Branch CR24623_2 has been deleted by kgv.

SHA-1: a03cf1750c27dd404f41ef815396d8f895e0d917

- Related Changesets
occt: master f751596e
Timestamp: 2015-04-06 09:31:00
Author: vpa
Committer: bugmaster
Details ] Diff ]
0024623: Visualization - improve selection mechanism

Redesign of selection mechanism:
- implemented 3-level BVH tree for selection;
- selection now calculates in 3D space;
- intersection tests were moved to SelectMgr_BaseFrustum descendants;
- removed .cdl files in Select3D and .cdl related to selection in MeshVS;
- SelectMgr_ViewerSelectors are now shared between local and global contexts;
- transformations of sensitive entities are now stored in SelectMgr_SelectableObject only. Sensitive entities are independent from transformations, it is applied to SelectMgr_SelectingVolumeManager instance only;
- connected and multiple connected interactive objects are now represented by their child objects only for SelectMgr_SelectionManager;
- if interactive object has child objects, they will be stored as separate objects in SelectMgr_SelectionManager now.
- test cases bugs/vis/bug24623_1, bug24623_2, bug24623_3, bug24623_4 to test performance and memory issues.
mod - samples/mfc/standard/01_Geometry/adm/win/vc10/Geometry.vcxproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc10/Geometry.vcxproj.filters Diff ] File ]
mod - samples/mfc/standard/01_Geometry/CMakeLists.txt Diff ] File ]
rm - samples/mfc/standard/01_Geometry/src/ISession2D/ISession2D_SensitiveCurve.cpp Diff ] File ]
rm - samples/mfc/standard/01_Geometry/src/ISession2D/ISession2D_SensitiveCurve.h Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/Viewer3dView.cpp Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/08_HLR/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/09_Animation/src/AnimationView3D.cpp Diff ] File ]
mod - samples/mfc/standard/09_Animation/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/10_Convert/src/WNT/OCCDemoView.cpp Diff ] File ]
mod - samples/mfc/standard/Common/OCC_2dView.cpp Diff ] File ]
mod - samples/mfc/standard/Common/OCC_3dView.cpp Diff ] File ]
mod - samples/mfc/standard/Common/StdAfx.h Diff ] File ]
mod - src/AIS/AIS_Axis.cxx Diff ] File ]
mod - src/AIS/AIS_Chamf2dDimension.cxx Diff ] File ]
mod - src/AIS/AIS_Chamf3dDimension.cxx Diff ] File ]
mod - src/AIS/AIS_Circle.cxx Diff ] File ]
mod - src/AIS/AIS_ConcentricRelation.cxx Diff ] File ]
mod - src/AIS/AIS_ConnectedInteractive.cxx Diff ] File ]
mod - src/AIS/AIS_Dimension.cxx Diff ] File ]
mod - src/AIS/AIS_Dimension.hxx Diff ] File ]
mod - src/AIS/AIS_EqualRadiusRelation.cxx Diff ] File ]
mod - src/AIS/AIS_FixRelation.cxx Diff ] File ]
mod - src/AIS/AIS_IdenticRelation.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.cdl Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext_1.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext_2.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveObject.cdl Diff ] File ]
mod - src/AIS/AIS_InteractiveObject.cxx Diff ] File ]
mod - src/AIS/AIS_Line.cxx Diff ] File ]
mod - src/AIS/AIS_LocalContext.cdl Diff ] File ]
mod - src/AIS/AIS_LocalContext.cxx Diff ] File ]
mod - src/AIS/AIS_LocalContext_1.cxx Diff ] File ]
mod - src/AIS/AIS_MaxRadiusDimension.cxx Diff ] File ]
mod - src/AIS/AIS_MidPointRelation.cxx Diff ] File ]
mod - src/AIS/AIS_MinRadiusDimension.cxx Diff ] File ]
mod - src/AIS/AIS_MultipleConnectedInteractive.cxx Diff ] File ]
mod - src/AIS/AIS_OffsetDimension.cxx Diff ] File ]
mod - src/AIS/AIS_ParallelRelation.cxx Diff ] File ]
mod - src/AIS/AIS_PerpendicularRelation.cxx Diff ] File ]
mod - src/AIS/AIS_Plane.lxx Diff ] File ]
mod - src/AIS/AIS_PlaneTrihedron.cxx Diff ] File ]
mod - src/AIS/AIS_SymmetricRelation.cxx Diff ] File ]
mod - src/AIS/AIS_TangentRelation.cxx Diff ] File ]
mod - src/BVH/BVH_BinnedBuilder.hxx Diff ] File ]
mod - src/BVH/BVH_BinnedBuilder.lxx Diff ] File ]
mod - src/BVH/BVH_SpatialMedianBuilder.hxx Diff ] File ]
mod - src/BVH/BVH_SpatialMedianBuilder.lxx Diff ] File ]
mod - src/IVtk/IVtk_IShapePickerAlgo.hxx Diff ] File ]
mod - src/IVtk/IVtk_IView.hxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_SelectableObject.cxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_SelectableObject.hxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_ShapePickerAlgo.cxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_ShapePickerAlgo.hxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_ViewerSelector.cxx Diff ] File ]
mod - src/IVtkOCC/IVtkOCC_ViewerSelector.hxx Diff ] File ]
mod - src/IVtkVTK/IVtkVTK_View.cxx Diff ] File ]
mod - src/IVtkVTK/IVtkVTK_View.hxx Diff ] File ]
mod - src/MeshVS/FILES Diff ] File ]
mod - src/MeshVS/MeshVS.cdl Diff ] File ]
rm - src/MeshVS/MeshVS_DummySensitiveEntity.cdl Diff ] File ]
mod - src/MeshVS/MeshVS_DummySensitiveEntity.cxx Diff ] File ]
add - src/MeshVS/MeshVS_DummySensitiveEntity.hxx Diff ] File ]
mod - src/MeshVS/MeshVS_Mesh.cdl Diff ] File ]
rm - src/MeshVS/MeshVS_SensitiveFace.cdl Diff ] File ]
mod - src/MeshVS/MeshVS_SensitiveFace.cxx Diff ] File ]
add - src/MeshVS/MeshVS_SensitiveFace.hxx Diff ] File ]
rm - src/MeshVS/MeshVS_SensitiveMesh.cdl Diff ] File ]
mod - src/MeshVS/MeshVS_SensitiveMesh.cxx Diff ] File ]
add - src/MeshVS/MeshVS_SensitiveMesh.hxx Diff ] File ]
rm - src/MeshVS/MeshVS_SensitivePolyhedron.cdl Diff ] File ]
mod - src/MeshVS/MeshVS_SensitivePolyhedron.cxx Diff ] File ]
add - src/MeshVS/MeshVS_SensitivePolyhedron.hxx Diff ] File ]
rm - src/MeshVS/MeshVS_SensitiveSegment.cdl Diff ] File ]
mod - src/MeshVS/MeshVS_SensitiveSegment.cxx Diff ] File ]
add - src/MeshVS/MeshVS_SensitiveSegment.hxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentableObject.cdl Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentableObject.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentableObject.lxx Diff ] File ]
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
mod - src/QABugs/QABugs_9.cxx Diff ] File ]
mod - src/QABugs/QABugs_MyText.cdl Diff ] File ]
mod - src/QABugs/QABugs_MyText.cxx Diff ] File ]
mod - src/Select3D/FILES Diff ] File ]
mod - src/Select3D/Select3D.cdl Diff ] File ]
add - src/Select3D/Select3D_BoundarySensitivePointSet.cxx Diff ] File ]
add - src/Select3D/Select3D_BoundarySensitivePointSet.hxx Diff ] File ]
rm - src/Select3D/Select3D_Box2d.hxx Diff ] File ]
add - src/Select3D/Select3D_BVHPrimitiveContent.cxx Diff ] File ]
add - src/Select3D/Select3D_BVHPrimitiveContent.hxx Diff ] File ]
add - src/Select3D/Select3D_EntitySequence.hxx Diff ] File ]
add - src/Select3D/Select3D_InteriorSensitivePointSet.cxx Diff ] File ]
add - src/Select3D/Select3D_InteriorSensitivePointSet.hxx Diff ] File ]
add - src/Select3D/Select3D_ISensitivePointSet.hxx Diff ] File ]
rm - src/Select3D/Select3D_Pnt2d.hxx Diff ] File ]
mod - src/Select3D/Select3D_PointData.hxx Diff ] File ]
rm - src/Select3D/Select3D_Projector.cdl Diff ] File ]
rm - src/Select3D/Select3D_Projector.cxx Diff ] File ]
rm - src/Select3D/Select3D_Projector.lxx Diff ] File ]
rm - src/Select3D/Select3D_SensitiveBox.cdl Diff ] File ]
mod - src/Select3D/Select3D_SensitiveBox.cxx Diff ] File ]
add - src/Select3D/Select3D_SensitiveBox.hxx Diff ] File ]
rm - src/Select3D/Select3D_SensitiveCircle.cdl Diff ] File ]
mod - src/Select3D/Select3D_SensitiveCircle.cxx Diff ] File ]
add - src/Select3D/Select3D_SensitiveCircle.hxx Diff ] File ]
rm - src/Select3D/Select3D_SensitiveCurve.cdl Diff ] File ]
mod - src/Select3D/Select3D_SensitiveCurve.cxx Diff ] File ]
add - src/Select3D/Select3D_SensitiveCurve.hxx Diff ] File ]
rm - src/Select3D/Select3D_SensitiveCurve.lxx Diff ] File ]
rm - src/Select3D/Select3D_SensitiveEntity.cdl Diff ] File ]
mod - src/Select3D/Select3D_SensitiveEntity.cxx Diff ] File ]
add - src/Select3D/Select3D_SensitiveEntity.hxx Diff ] File ]
rm - src/Select3D/Select3D_SensitiveFace.cdl Diff ] File ]
mod - src/Select3D/Select3D_SensitiveFace.cxx Diff ] File ]
add - src/Select3D/Select3D_SensitiveFace.hxx Diff ] File ]
rm - src/Select3D/Select3D_SensitiveGroup.cdl Diff ] File ]
mod - src/Select3D/Select3D_SensitiveGroup.cxx Diff ] File ]
add - src/Select3D/Select3D_SensitiveGroup.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveGroup.lxx Diff ] File ]
rm - src/Select3D/Select3D_SensitivePoint.cdl Diff ] File ]
mod - src/Select3D/Select3D_SensitivePoint.cxx Diff ] File ]
add - src/Select3D/Select3D_SensitivePoint.hxx Diff ] File ]
rm - src/Select3D/Select3D_SensitivePoly.cdl Diff ] File ]
mod - src/Select3D/Select3D_SensitivePoly.cxx Diff ] File ]
add - src/Select3D/Select3D_SensitivePoly.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePoly.lxx Diff ] File ]
rm - src/Select3D/Select3D_SensitiveSegment.cdl Diff ] File ]
mod - src/Select3D/Select3D_SensitiveSegment.cxx Diff ] File ]
add - src/Select3D/Select3D_SensitiveSegment.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveSegment.lxx Diff ] File ]
add - src/Select3D/Select3D_SensitiveSet.cxx Diff ] File ]
add - src/Select3D/Select3D_SensitiveSet.hxx Diff ] File ]
rm - src/Select3D/Select3D_SensitiveTriangle.cdl Diff ] File ]
mod - src/Select3D/Select3D_SensitiveTriangle.cxx Diff ] File ]
add - src/Select3D/Select3D_SensitiveTriangle.hxx Diff ] File ]
rm - src/Select3D/Select3D_SensitiveTriangulation.cdl Diff ] File ]
mod - src/Select3D/Select3D_SensitiveTriangulation.cxx Diff ] File ]
add - src/Select3D/Select3D_SensitiveTriangulation.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveTriangulation.lxx Diff ] File ]
rm - src/Select3D/Select3D_SensitiveWire.cdl Diff ] File ]
mod - src/Select3D/Select3D_SensitiveWire.cxx Diff ] File ]
add - src/Select3D/Select3D_SensitiveWire.hxx Diff ] File ]
add - src/Select3D/Select3D_TypeOfSensitivity.hxx Diff ] File ]
mod - src/SelectBasics/FILES Diff ] File ]
mod - src/SelectBasics/SelectBasics.cdl Diff ] File ]
rm - src/SelectBasics/SelectBasics_BasicTool.cdl Diff ] File ]
rm - src/SelectBasics/SelectBasics_BasicTool.cxx Diff ] File ]
mod - src/SelectBasics/SelectBasics_EntityOwner.cxx Diff ] File ]
rm - src/SelectBasics/SelectBasics_PickArgs.hxx Diff ] File ]
add - src/SelectBasics/SelectBasics_PickResult.hxx Diff ] File ]
add - src/SelectBasics/SelectBasics_SelectingVolumeManager.hxx Diff ] File ]
mod - src/SelectBasics/SelectBasics_SensitiveEntity.cdl Diff ] File ]
mod - src/SelectBasics/SelectBasics_SensitiveEntity.cxx Diff ] File ]
mod - src/SelectBasics/SelectBasics_SensitiveEntity.lxx Diff ] File ]
rm - src/SelectBasics/SelectBasics_SortAlgo.cdl Diff ] File ]
rm - src/SelectBasics/SelectBasics_SortAlgo.cxx Diff ] File ]
mod - src/SelectMgr/FILES Diff ] File ]
mod - src/SelectMgr/SelectMgr.cdl Diff ] File ]
add - src/SelectMgr/SelectMgr_BaseFrustum.cxx Diff ] File ]
add - src/SelectMgr/SelectMgr_BaseFrustum.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_EntityOwner.cxx Diff ] File ]
add - src/SelectMgr/SelectMgr_Frustum.hxx Diff ] File ]
add - src/SelectMgr/SelectMgr_Frustum.lxx Diff ] File ]
add - src/SelectMgr/SelectMgr_FrustumBuilder.cxx Diff ] File ]
add - src/SelectMgr/SelectMgr_FrustumBuilder.hxx Diff ] File ]
add - src/SelectMgr/SelectMgr_RectangularFrustum.cxx Diff ] File ]
add - src/SelectMgr/SelectMgr_RectangularFrustum.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectableObject.cdl Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectableObject.cxx Diff ] File ]
add - src/SelectMgr/SelectMgr_SelectableObjectSet.cxx Diff ] File ]
add - src/SelectMgr/SelectMgr_SelectableObjectSet.hxx Diff ] File ]
add - src/SelectMgr/SelectMgr_SelectingVolumeManager.cxx Diff ] File ]
add - src/SelectMgr/SelectMgr_SelectingVolumeManager.hxx Diff ] File ]
rm - src/SelectMgr/SelectMgr_Selection.cdl Diff ] File ]
mod - src/SelectMgr/SelectMgr_Selection.cxx Diff ] File ]
add - src/SelectMgr/SelectMgr_Selection.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_Selection.lxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectionManager.cdl Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectionManager.cxx Diff ] File ]
add - src/SelectMgr/SelectMgr_SensitiveEntity.cxx Diff ] File ]
add - src/SelectMgr/SelectMgr_SensitiveEntity.hxx Diff ] File ]
add - src/SelectMgr/SelectMgr_SensitiveEntitySet.cxx Diff ] File ]
add - src/SelectMgr/SelectMgr_SensitiveEntitySet.hxx Diff ] File ]
add - src/SelectMgr/SelectMgr_TriangularFrustum.cxx Diff ] File ]
add - src/SelectMgr/SelectMgr_TriangularFrustum.hxx Diff ] File ]
add - src/SelectMgr/SelectMgr_TriangularFrustumSet.cxx Diff ] File ]
add - src/SelectMgr/SelectMgr_TriangularFrustumSet.hxx Diff ] File ]
add - src/SelectMgr/SelectMgr_VectorTypes.hxx Diff ] File ]
rm - src/SelectMgr/SelectMgr_ViewerSelector.cdl Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewerSelector.cxx Diff ] File ]
add - src/SelectMgr/SelectMgr_ViewerSelector.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewerSelector.lxx Diff ] File ]
add - src/StdSelect/FILES Diff ] File ]
mod - src/StdSelect/StdSelect.cdl Diff ] File ]
mod - src/StdSelect/StdSelect.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_BRepSelectionTool.cdl Diff ] File ]
mod - src/StdSelect/StdSelect_BRepSelectionTool.cxx Diff ] File ]
rm - src/StdSelect/StdSelect_ViewerSelector3d.cdl Diff ] File ]
mod - src/StdSelect/StdSelect_ViewerSelector3d.cxx Diff ] File ]
add - src/StdSelect/StdSelect_ViewerSelector3d.hxx Diff ] File ]
mod - src/StdSelect/StdSelect_ViewerSelector3d.lxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_RelationCommands.cxx Diff ] File ]
mod - src/Voxel/Voxel_Prs.cdl Diff ] File ]
mod - tests/bugs/modalg_2/bug22781_2 Diff ] File ]
mod - tests/bugs/modalg_2/bug22781_4 Diff ] File ]
mod - tests/bugs/vis/bug23012 Diff ] File ]
mod - tests/bugs/vis/bug23539_2 Diff ] File ]
mod - tests/bugs/vis/bug23649_3 Diff ] File ]
mod - tests/bugs/vis/bug23649_4 Diff ] File ]
mod - tests/bugs/vis/bug24389 Diff ] File ]
mod - tests/bugs/vis/bug24564 Diff ] File ]
mod - tests/bugs/vis/bug24569 Diff ] File ]
add - tests/bugs/vis/bug24623_1 Diff ] File ]
add - tests/bugs/vis/bug24623_2 Diff ] File ]
add - tests/bugs/vis/bug24623_3 Diff ] File ]
add - tests/bugs/vis/bug24623_4 Diff ] File ]
mod - tests/bugs/vis/bug25098 Diff ] File ]
mod - tests/bugs/vis/bug25532 Diff ] File ]
mod - tests/bugs/vis/bug25552 Diff ] File ]
mod - tests/bugs/vis/bug25723 Diff ] File ]
mod - tests/bugs/vis/bug25935 Diff ] File ]
mod - tests/v3d/edge_face/E2 Diff ] File ]
mod - tests/v3d/edge_face/E9 Diff ] File ]
mod - tests/v3d/edge_face/J4 Diff ] File ]
mod - tests/v3d/edge_face/K2 Diff ] File ]
mod - tests/v3d/edge_face/O6 Diff ] File ]
mod - tests/v3d/edge_face/P4 Diff ] File ]
mod - tests/v3d/edge_solid/E2 Diff ] File ]
mod - tests/v3d/edge_solid/E9 Diff ] File ]
mod - tests/v3d/edge_solid/J4 Diff ] File ]
mod - tests/v3d/edge_solid/K2 Diff ] File ]
mod - tests/v3d/edge_solid/O6 Diff ] File ]
mod - tests/v3d/edge_solid/P4 Diff ] File ]
mod - tests/v3d/vertex_edge/E7 Diff ] File ]
mod - tests/v3d/vertex_edge/F1 Diff ] File ]
mod - tests/v3d/vertex_edge/J9 Diff ] File ]
mod - tests/v3d/vertex_edge/K1 Diff ] File ]
mod - tests/v3d/vertex_edge/K3 Diff ] File ]
mod - tests/v3d/vertex_face/E7 Diff ] File ]
mod - tests/v3d/vertex_face/F1 Diff ] File ]
mod - tests/v3d/vertex_face/J9 Diff ] File ]
mod - tests/v3d/vertex_face/K1 Diff ] File ]
mod - tests/v3d/vertex_face/K3 Diff ] File ]
mod - tests/v3d/vertex_solid/E7 Diff ] File ]
mod - tests/v3d/vertex_solid/F1 Diff ] File ]
mod - tests/v3d/vertex_solid/J9 Diff ] File ]
mod - tests/v3d/vertex_solid/K3 Diff ] File ]
mod - tests/v3d/vertex_wire/E7 Diff ] File ]
mod - tests/v3d/vertex_wire/F1 Diff ] File ]
mod - tests/v3d/vertex_wire/J9 Diff ] File ]
mod - tests/v3d/vertex_wire/K3 Diff ] File ]
mod - tests/v3d/wire/E9 Diff ] File ]
mod - tests/v3d/wire/F1 Diff ] File ]
mod - tests/v3d/wire/F2 Diff ] File ]
mod - tests/v3d/wire_solid/E2 Diff ] File ]
mod - tests/v3d/wire_solid/E7 Diff ] File ]
mod - tests/v3d/wire_solid/F1 Diff ] File ]
mod - tests/v3d/wire_solid/J4 Diff ] File ]
mod - tests/v3d/wire_solid/J9 Diff ] File ]
mod - tests/v3d/wire_solid/K3 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-13 11:05 kgv New Issue
2014-02-13 11:05 kgv Assigned To => san
2014-02-13 11:05 kgv Relationship added related to 0021358
2014-02-13 11:06 kgv Assigned To san => dbp
2014-02-13 11:06 kgv Status new => assigned
2014-02-17 15:20 kgv Relationship added related to 0023422
2014-02-17 16:09 kgv Relationship added related to 0023527
2014-02-17 16:09 kgv Relationship added related to 0023646
2014-02-17 16:12 kgv Relationship added related to 0023649
2014-03-29 13:53 kgv Relationship added related to 0021986
2014-04-24 12:12 san Relationship added duplicate of 0024833
2014-04-24 12:14 san Assigned To dbp => vpa
2014-04-24 12:15 san Target Version 7.0.0 => 6.8.0
2014-05-29 11:53 vpa Relationship deleted 0024833
2014-05-29 11:54 vpa Relationship added has duplicate 0024833
2014-05-29 11:56 vpa Note Added: 0029597
2014-05-29 11:56 vpa Assigned To vpa => dbp
2014-05-29 11:56 vpa Status assigned => feedback
2014-06-18 10:02 kgv Assigned To dbp => vpa
2014-06-18 10:02 kgv Status feedback => assigned
2014-07-22 15:07 kgv Relationship added related to 0025098
2014-09-23 14:30 abv Relationship added parent of 0025234
2014-09-23 14:36 git Note Added: 0032003
2014-09-25 10:26 git Note Added: 0032110
2014-09-25 11:36 git Note Added: 0032114
2014-09-25 17:34 git Note Added: 0032166
2014-09-25 17:38 san Target Version 6.8.0 => 7.1.0
2014-09-26 10:23 git Note Added: 0032199
2014-09-30 17:48 git Note Added: 0032470
2014-10-02 16:16 git Note Added: 0032593
2014-10-07 15:14 git Note Added: 0032773
2014-10-08 16:45 git Note Added: 0032826
2014-10-10 20:18 git Note Added: 0032995
2014-10-10 20:51 git Note Added: 0032996
2014-10-29 14:46 git Note Added: 0033826
2014-11-06 17:21 git Note Added: 0034117
2014-11-07 18:25 git Note Added: 0034169
2014-11-10 01:36 git Note Added: 0034175
2014-11-10 20:54 git Note Added: 0034203
2014-11-14 20:50 git Note Added: 0034436
2014-11-18 19:29 git Note Added: 0034497
2014-11-21 19:37 git Note Added: 0034614
2014-11-24 02:34 git Note Added: 0034625
2014-11-24 14:38 git Note Added: 0034634
2014-11-25 21:19 git Note Added: 0034684
2014-11-27 13:18 git Note Added: 0034735
2014-11-27 21:29 git Note Added: 0034778
2014-11-28 14:38 git Note Added: 0034831
2014-11-28 14:58 git Note Added: 0034833
2014-11-28 15:50 git Note Added: 0034837
2014-11-28 16:52 git Note Added: 0034848
2014-11-28 16:58 vpa Note Added: 0034849
2014-11-28 16:58 vpa Assigned To vpa => kgv
2014-11-28 16:58 vpa Status assigned => feedback
2014-12-03 21:38 kgv Note Added: 0034986
2014-12-11 15:10 kgv Assigned To kgv => vpa
2014-12-11 15:10 kgv Status feedback => assigned
2014-12-12 21:11 git Note Added: 0035385
2014-12-19 19:17 git Note Added: 0035536
2014-12-22 09:19 kgv Relationship added related to 0025624
2014-12-22 09:20 kgv Note Added: 0035540
2014-12-23 18:55 git Note Added: 0035621
2014-12-25 20:32 git Note Added: 0035740
2014-12-26 17:18 git Note Added: 0035772
2014-12-26 17:29 git Note Added: 0035777
2014-12-26 18:12 git Note Added: 0035784
2014-12-26 18:18 git Note Added: 0035786
2014-12-26 18:22 git Note Added: 0035787
2014-12-26 18:32 vpa Note Added: 0035791
2014-12-26 18:32 vpa Assigned To vpa => bugmaster
2014-12-26 18:32 vpa Status assigned => feedback
2015-01-12 15:06 bugmaster Assigned To bugmaster => mkv
2015-01-12 15:06 bugmaster Status feedback => reviewed
2015-01-12 17:02 git Note Added: 0035971
2015-01-13 09:07 mkv Note Added: 0035984
2015-01-13 09:08 mkv Note Added: 0035985
2015-01-13 09:08 mkv Assigned To mkv => vpa
2015-01-13 09:08 mkv Status reviewed => assigned
2015-01-14 11:28 git Note Added: 0036034
2015-01-14 15:32 git Note Added: 0036049
2015-01-14 15:34 vpa Note Added: 0036050
2015-01-14 15:34 vpa Assigned To vpa => bugmaster
2015-01-14 15:34 vpa Status assigned => feedback
2015-01-19 10:40 bugmaster Assigned To bugmaster => mkv
2015-01-19 10:40 bugmaster Status feedback => reviewed
2015-01-21 13:54 apn Assigned To mkv => apn
2015-01-21 19:17 apn Note Added: 0036349
2015-01-21 19:18 apn Assigned To apn => vpa
2015-01-21 19:18 apn Status reviewed => assigned
2015-01-22 14:37 git Note Added: 0036393
2015-01-22 14:43 git Note Added: 0036394
2015-01-22 14:51 vpa Note Added: 0036396
2015-01-22 14:51 vpa Assigned To vpa => apn
2015-01-22 14:51 vpa Status assigned => feedback
2015-01-22 14:59 apn Status feedback => reviewed
2015-01-23 18:27 apn Note Added: 0036467
2015-01-23 18:27 apn Assigned To apn => vpa
2015-01-23 18:27 apn Status reviewed => assigned
2015-01-23 18:38 git Note Added: 0036476
2015-01-23 18:40 git Note Added: 0036477
2015-01-23 20:36 git Note Added: 0036488
2015-01-26 16:11 git Note Added: 0036656
2015-01-26 18:13 git Note Added: 0036670
2015-01-26 19:31 vpa Note Added: 0036680
2015-01-26 19:31 vpa Assigned To vpa => bugmaster
2015-01-26 19:31 vpa Status assigned => feedback
2015-01-27 12:58 bugmaster Assigned To bugmaster => apn
2015-01-27 18:56 apn Status feedback => reviewed
2015-01-28 14:34 apn Note Added: 0036756
2015-01-28 14:35 apn Assigned To apn => vpa
2015-01-28 14:35 apn Status reviewed => assigned
2015-02-17 13:55 git Note Added: 0037622
2015-02-17 15:04 git Note Added: 0037626
2015-02-17 15:36 git Note Added: 0037628
2015-02-18 09:12 git Note Added: 0037650
2015-02-18 15:52 git Note Added: 0037667
2015-02-19 14:39 git Note Added: 0037691
2015-02-19 18:09 git Note Added: 0037719
2015-02-19 20:32 git Note Added: 0037721
2015-02-20 10:54 git Note Added: 0037725
2015-02-20 14:17 git Note Added: 0037737
2015-02-20 18:14 git Note Added: 0037762
2015-02-24 10:01 git Note Added: 0037796
2015-02-25 20:46 git Note Added: 0037895
2015-02-26 18:01 git Note Added: 0037934
2015-02-26 21:49 git Note Added: 0037939
2015-02-27 02:09 git Note Added: 0037940
2015-02-27 02:21 git Note Added: 0037941
2015-02-27 10:07 vpa Note Added: 0037942
2015-02-27 10:07 vpa Assigned To vpa => bugmaster
2015-02-27 10:07 vpa Status assigned => feedback
2015-02-27 10:18 vpa Note Edited: 0037942 View Revisions
2015-02-27 10:58 git Note Added: 0037943
2015-02-27 11:05 git Note Added: 0037945
2015-02-27 15:59 git Note Added: 0037950
2015-02-27 16:01 git Note Added: 0037951
2015-02-27 16:51 apv Note Added: 0037953
2015-02-27 18:00 git Note Added: 0037959
2015-03-02 11:25 apv Note Added: 0037985
2015-03-02 11:28 apv Note Edited: 0037985 View Revisions
2015-03-02 11:30 apv Assigned To bugmaster => vpa
2015-03-02 11:35 kgv Note Added: 0037987
2015-03-02 11:35 kgv Assigned To vpa => apv
2015-03-02 14:38 apv Note Added: 0037996
2015-03-02 14:39 apv Assigned To apv => kgv
2015-03-02 14:42 kgv Assigned To kgv => vpa
2015-03-02 14:42 kgv Status feedback => assigned
2015-03-03 10:00 git Note Added: 0038027
2015-03-03 18:33 git Note Added: 0038056
2015-03-05 17:54 git Note Added: 0038158
2015-03-05 18:19 git Note Added: 0038161
2015-03-05 19:34 git Note Added: 0038164
2015-03-06 11:58 git Note Added: 0038172
2015-03-06 12:05 vpa Note Added: 0038174
2015-03-06 12:05 vpa Assigned To vpa => bugmaster
2015-03-06 12:05 vpa Status assigned => feedback
2015-03-06 15:45 apv Assigned To bugmaster => apv
2015-03-10 15:53 apv Note Added: 0038226
2015-03-10 15:54 apv Assigned To apv => vpa
2015-03-11 10:52 apv Note Added: 0038240
2015-03-12 12:58 git Note Added: 0038292
2015-03-12 13:00 vpa Assigned To vpa => apv
2015-03-12 13:02 vpa Note Added: 0038293
2015-03-12 15:11 git Note Added: 0038297
2015-03-12 17:08 apv Note Added: 0038300
2015-03-12 17:08 apv Assigned To apv => vpa
2015-03-13 16:58 vpa Relationship added related to 0025933
2015-03-13 17:01 vpa Status feedback => assigned
2015-03-16 13:04 git Note Added: 0038390
2015-03-17 13:43 git Note Added: 0038425
2015-03-17 15:12 git Note Added: 0038431
2015-03-17 15:59 git Note Added: 0038437
2015-03-17 16:32 git Note Added: 0038441
2015-03-20 19:37 git Note Added: 0038769
2015-03-23 09:24 git Note Added: 0038774
2015-03-23 18:32 git Note Added: 0038801
2015-03-24 10:00 git Note Added: 0038823
2015-03-24 15:14 git Note Added: 0038834
2015-03-24 18:43 git Note Added: 0038853
2015-03-24 18:51 git Note Added: 0038855
2015-03-25 11:00 vpa Note Added: 0038867
2015-03-25 11:00 vpa Assigned To vpa => kgv
2015-03-25 11:00 vpa Status assigned => resolved
2015-03-25 11:00 vpa Steps to Reproduce Updated View Revisions
2015-03-25 18:52 git Note Added: 0038897
2015-03-25 18:57 git Note Added: 0038898
2015-03-26 08:30 kgv Note Added: 0038899
2015-03-26 08:30 kgv Assigned To kgv => bugmaster
2015-03-26 08:30 kgv Priority normal => high
2015-03-26 08:30 kgv Status resolved => reviewed
2015-03-26 08:30 kgv Target Version 7.1.0 => 6.9.0
2015-03-26 18:33 apv Assigned To bugmaster => apv
2015-03-30 11:14 apv Note Added: 0038969
2015-03-30 11:14 apv Assigned To apv => vpa
2015-03-30 11:14 apv Status reviewed => assigned
2015-03-30 11:55 vpa Status assigned => resolved
2015-03-30 11:55 vpa Note Added: 0038971
2015-03-30 11:55 vpa Assigned To vpa => bugmaster
2015-03-30 11:55 vpa Status resolved => reviewed
2015-03-30 13:07 mkv Assigned To bugmaster => apv
2015-03-30 16:14 kgv Relationship added related to 0025935
2015-04-01 11:23 apv Test case number => bugs vis(004) bug24623_1, bug24623_2, bug24623_3, bug24623_4
2015-04-01 12:15 apv Note Added: 0039084
2015-04-01 12:15 apv Assigned To apv => vpa
2015-04-01 12:15 apv Status reviewed => assigned
2015-04-01 12:17 apv Note Edited: 0039084 View Revisions
2015-04-01 12:18 apv Note Edited: 0039084 View Revisions
2015-04-01 12:22 apv Note Added: 0039085
2015-04-01 20:28 git Note Added: 0039125
2015-04-02 15:08 git Note Added: 0039152
2015-04-02 15:45 git Note Added: 0039163
2015-04-02 15:54 git Note Added: 0039166
2015-04-02 16:21 git Note Added: 0039168
2015-04-02 16:31 git Note Added: 0039170
2015-04-02 16:48 git Note Added: 0039171
2015-04-02 17:02 vpa Assigned To vpa => kgv
2015-04-02 17:02 vpa Status assigned => resolved
2015-04-02 17:03 vpa Assigned To kgv => vpa
2015-04-02 17:12 vpa Note Added: 0039173
2015-04-02 17:12 vpa Assigned To vpa => bugmaster
2015-04-02 17:12 vpa Status resolved => reviewed
2015-04-03 14:52 vpa Relationship added related to 0026015
2015-04-03 15:25 git Note Added: 0039223
2015-04-06 11:40 git Note Added: 0039244
2015-04-06 11:46 git Note Added: 0039245
2015-04-06 12:17 git Note Added: 0039249
2015-04-06 12:38 git Note Added: 0039250
2015-04-07 11:19 apv Assigned To bugmaster => apv
2015-04-07 16:08 bugmaster Changeset attached => occt master f751596e
2015-04-07 16:08 bugmaster Assigned To apv => bugmaster
2015-04-07 16:08 bugmaster Status reviewed => verified
2015-04-07 16:08 bugmaster Resolution open => fixed
2015-04-08 16:22 kgv Relationship added parent of 0026031
2015-04-09 09:50 git Note Added: 0039457
2015-04-09 09:50 git Note Added: 0039458
2015-04-09 09:50 git Note Added: 0039459
2015-04-10 09:16 kgv Relationship added related to 0025686
2015-04-13 14:58 kgv Relationship added parent of 0026069
2015-04-21 14:51 kgv Relationship added related to 0026115
2015-04-22 16:13 vpa Relationship added parent of 0026119
2015-04-22 16:32 vpa Relationship added parent of 0026121
2015-04-22 18:03 vpa Relationship added related to 0026124
2015-04-22 18:04 vpa Relationship added parent of 0026120
2015-04-24 18:03 kgv Relationship added related to 0026139
2015-04-24 18:16 vpa Relationship added parent of 0026147
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:30 aiv Fixed in Version => 6.9.0
2015-05-18 17:00 san Relationship added related to 0026231
2015-05-29 12:14 kgv Relationship added related to 0026284
2015-06-08 17:34 kgv Relationship added related to 0026324
2015-06-29 15:06 kgv Relationship added related to 0009455
2015-12-10 11:15 kgv Relationship added related to 0026973
2016-09-02 19:58 kgv Relationship added related to 0027834
2016-09-27 09:40 kgv Relationship added related to 0027008
2016-10-13 13:41 kgv Relationship added related to 0027957
2017-04-08 15:00 kgv Relationship added related to 0028644
2018-05-24 19:22 kgv Relationship added parent of 0029791
2019-02-06 20:43 kgv Relationship added parent of 0030480
2019-04-23 22:05 kgv Relationship added parent of 0030672


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker